For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocsAPI ReferenceChangelog
DocsAPI ReferenceChangelog
  • REST
    • Authentication
    • Platform
    • Event-Driven Sync (EDRTS)
    • Content
    • FeedAMP Order
    • FeedAMP Order V2
          • GETList all refunds on an order
          • POSTCreate a refund adjustment on an order
          • GETGet details of a single refund
          • POSTApply a refund on an return
    • FeedAMP Order Source
LogoLogo
RESTFeedAMP Order V2Refunds

Apply a refund on an return

POST
https://api.feedamp.feedonomics.com/api/v2/returns/:return-id/refunds
POST
/api/v2/returns/:return-id/refunds
$curl -X POST https://api.feedamp.feedonomics.com/api/v2/returns/109872189273617283/refunds \
> -H "token: token" \
> -H "client: 1" \
> -H "Content-Type: application/json" \
> -u "<username>:<password>" \
> -d '{
> "merchant_refund_lines": [
> {
> "feedamp_return_line_id": "109872189273617283"
> }
> ]
>}'
1{
2 "id": "109872189273617283",
3 "merchant_refund_lines": [
4 {
5 "feedamp_return_line_id": "109872189273617283",
6 "item_refund": 1.99,
7 "shipping_refund": 2,
8 "refund_notes": "Requested Refund - thank you for your business",
9 "merchant_full_refund": true
10 }
11 ]
12}
Post a refund to a return item request
Was this page helpful?
Previous

Get details of a single refund

Next

Get returns filtered by search parameters

Built with

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

return-idstringRequired
FeedAMP Return ID

Headers

tokenstringRequired

The Authentication token obtained from the v1 get_token route

clientintegerRequired
The ID of the client making the request

Request

This endpoint expects an object.
merchant_refund_lineslist of objectsRequired

Response

Return Refund object
idstring
Unique identifier for a record
merchant_refund_lineslist of objects

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
500
Internal Server Error
503
Service Unavailable Error